#!/usr/bin/env python2.7
import glob

fileNames = sorted(glob.glob('./DAT/*.bnd'))

for fileName in fileNames:
	atomTypes={}
	with open(fileName) as f:
		for line in f:
			data = line.split()
			atomId = int(data[0])
			atomType = int(data[4])
			atomTypes[atomId]=atomType

	numBonds={'1-1':0, '1-3':0, '1-6':0, '3-3':0, '3-6':0, '6-6':0}
	with open(fileName) as f:
		for line in f:
			data = line.split()
			atomId = int(data[0])
			atomType = atomTypes[atomId]
			numNeighb= int(data[5])
			for n in range(numNeighb):
				n2=n*2
				neighbId = int(data[6+n2])
				neighbType = atomTypes[neighbId]

				label = str(atomType)+"-"+str(neighbType)
				if(atomType > neighbType):
					label = str(neighbType)+"-"+str(atomType)

				if label in numBonds:
					numBonds[label]+=1
				else:
					numBonds[label]=1

	print fileName, ' : ', 
	for key in numBonds:
		print key, ' ', numBonds[key], ' ',
	print
